Skip to content
Start here

Modify organization.

PUT/organizations/{organization_id}

Modify organization. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/)

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
organization_id: string
Body ParametersJSONExpand Collapse
name: string
parent: optional object { id, name }
id: string
name: string
profile: optional AccountProfile { business_address, business_email, business_name, 2 more }
business_address: string
business_email: string
business_name: string
business_phone: string
external_metadata: string
ReturnsExpand Collapse
errors: array of unknown
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: Organization { id, create_time, meta, 3 more }

References an Organization in the Cloudflare data model.

id: string
create_time: string
formatdate-time
meta: object { flags, managed_by }
flags: optional object { account_creation, account_deletion, account_migration, 2 more }

Enable features for Organizations.

account_creation: string
account_deletion: string
account_migration: string
account_mobility: string
sub_org_creation: string
managed_by: optional string
name: string
parent: optional object { id, name }
id: string
name: string
profile: optional AccountProfile { business_address, business_email, business_name, 2 more }
business_address: string
business_email: string
business_name: string
business_phone: string
external_metadata: string
success: true

Modify organization.

curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
    -d '{
          "name": "name"
        }'
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8",
    "create_time": "2019-12-27T18:11:19.117Z",
    "meta": {
      "flags": {
        "account_creation": "account_creation",
        "account_deletion": "account_deletion",
        "account_migration": "account_migration",
        "account_mobility": "account_mobility",
        "sub_org_creation": "sub_org_creation"
      },
      "managed_by": "managed_by"
    },
    "name": "name",
    "parent": {
      "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8",
      "name": "name"
    },
    "profile": {
      "business_address": "business_address",
      "business_email": "business_email",
      "business_name": "business_name",
      "business_phone": "business_phone",
      "external_metadata": "external_metadata"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8",
    "create_time": "2019-12-27T18:11:19.117Z",
    "meta": {
      "flags": {
        "account_creation": "account_creation",
        "account_deletion": "account_deletion",
        "account_migration": "account_migration",
        "account_mobility": "account_mobility",
        "sub_org_creation": "sub_org_creation"
      },
      "managed_by": "managed_by"
    },
    "name": "name",
    "parent": {
      "id": "a7b9c3d2e8f4g1h5i6j0k9l2m3n7o4p8",
      "name": "name"
    },
    "profile": {
      "business_address": "business_address",
      "business_email": "business_email",
      "business_name": "business_name",
      "business_phone": "business_phone",
      "external_metadata": "external_metadata"
    }
  },
  "success": true
}